package com.railway.business.push.service;

import com.railway.business.push.domain.BusPushMsg;
import java.util.List;
/**
* 个推消息表
* @author author
* @date 2021/11/16
*/
public interface IBusPushMsgService{

    /**
    * 新增
    */
    int create(BusPushMsg busPushMsg);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusPushMsg busPushMsg);

    /**
    * 获取单个
    */
    BusPushMsg getInfo(String id);

    /**
    * 查询列表
    */
    List<BusPushMsg> getList(BusPushMsg busPushMsg);

    List<BusPushMsg> selectAppMsg();

    List<BusPushMsg> getListTop5(BusPushMsg busPushMsg);

    String pushToSingle(BusPushMsg busPushMsg);

    void pushToSingleBatch(List<BusPushMsg> msgPos);

    void updateBatch(List<BusPushMsg> msgPos);
}
